%define momorel 1
%define __libtoolize :

%define encoding eucjp
%define threads  pthreads

Summary: Scheme script interpreter with multibyte character handling
Name: Gauche
Version: 0.7.2
Release: %{momorel}m
Source0: http://flow.dl.sourceforge.net/sourceforge/gauche/%{name}-%{version}.tgz
NoSource: 0
Patch0: Gauche-makeverslink.patch
Patch1: Gauche-bzip2ed-info.patch
License: BSD
Group: Development/Languages
Buildroot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.shiro.dreamhost.com/scheme/gauche/
Requires: gdbm >= 1.8.0

%description
Gauche is a Scheme interpreter conforming Revised^5 Report on
Algorithmic Language Scheme.  It is designed for rapid development
of daily tools like system management and text processing.
It can handle multibyte character strings natively.
This package is compiled with %{encoding} as the native character encoding.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --enable-threads=%{threads} --enable-multibyte=%{encoding} \
	   --enable-ipv6
make %{?_smp_mflags} || make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post
# creates slib catalog, if possible.
%{_bindir}/gosh -u slib -e "(require 'logical)" -e "(exit 0)" > /dev/null 2>&1 || echo

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL INSTALL.eucjp
%{_bindir}/gosh
%{_bindir}/gauche-config
%{_libdir}/libgauche.so*
%{_libdir}/gauche
%{_infodir}/*
%{_datadir}/gauche
%{_mandir}/man1/*

%changelog
* Thu Dec 11 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.7.2-1m)
- update to 0.7.2

* Mon Nov 10 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.1-2m)
- rebuild against gdbm-1.8.0-19m

* Sun Aug  3 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.7.1-1m)
- update to 0.7.1
    spec is updated by thin ([devel.ja:01995])
- search and read bzip2'ed info file on gosh (Gauche-bzip2ed-info.patch)

* Mon Jul  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.7-4m)
- rebuild against rpm-4.0.4-52m

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.7-3m)
- remove ifarch
- use %%{?_smp_mflags}
- use %%configure
- %%files

* Sat Jun 14 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7-2m)
- use rpm macros
- add NoSource: 0
- change ifarch to ix86

* Fri Jun 13 2003 thin<thin@outside.jp>
- (0.7-1m)
- import to momonga

* Fri May 30 2003 Shiro Kawai
- Gauche release 0.7

* Sun Mar 30 2003 Shiro Kawai
- Gauche release 0.6.8

* Thu Feb  7 2003 Shiro Kawai
- Gauche release 0.6.7.1

* Thu Feb  6 2003 Shiro Kawai
- Gauche release 0.6.7

* Fri Dec 14 2002 Shiro Kawai
- Gauche release 0.6.6

* Fri Nov 15 2002 Shiro Kawai
- Gauche release 0.6.5

* Mon Oct 14 2002 Shiro Kawai
- Gauche release 0.6.4

* Thu Sep 22 2002 Shiro Kawai
- Gauche release 0.6.3

* Thu Sep  2 2002 Shiro Kawai
- Gauche release 0.6.2

* Thu Jul 31 2002 Shiro Kawai
- Gauche release 0.6.1

* Thu Jul 18 2002 Shiro Kawai
- Gauche release 0.6

* Sun Jun 30 2002 Shiro Kawai
- Gauche release 0.5.7

* Fri Jun 14 2002 Shiro Kawai
- Gauche release 0.5.6

* Mon May 27 2002 Shiro Kawai
- Gauche release 0.5.5

* Sat May  5 2002 Shiro Kawai
- Gauche release 0.5.4

* Thu Apr 15 2002 Shiro Kawai
- Gauche release 0.5.3

* Thu Mar  7 2002 Shiro Kawai
- first package release

